Revoke an issued certificate.

Prev Next
Put
/certificate-authority/issued-certificates/revoked/{certificateId}

Revoke an issued certificate.

Security
HTTP
Type bearer
Path parameters
certificateId
string (uuid) Required

ID of the issued certificate.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
Body parameters

Revocation details.

object
reason
string

X509 certificate revocation reason. See RFC 5280.

Valid values[ "unspecified", "keyCompromise", "cACompromise", "affiliationChanged", "superseded", "cessationOfOperation", "certificateHold", "privilegeWithdrawn" ]
notes
string

Free-text notes for revocation reason.

ExamplePrivate key potentially compromised.
Responses
200

Updated issued certificate.

object

Issued Certificate by Appgate CA.

id
string (uuid)

Random ID assigned to the certificate.

Example4c07bc67-57ea-42dd-b702-c2d6c45419fc
type
string

Type of the certificate.

Valid values[ "Client", "Appliance" ]
subject
string

The subject name of the certificate.

ExampleCN=Appgate SDP CA
issuer
string

The issuer name of the certificate.

ExampleCN=Appgate SDP CA
serial
string

X.509 certificate serial number.

Example1542962969512
fingerprintSha256
string

SHA256 fingerprint of the certificate.

Exampled30247cee99a056c5ecdc409549165886d02925f9c64b681dff3d2ecf653355f
validFrom
string (date-time)

Since when the certificate is valid from.

validTo
string (date-time)

Until when the certificate is valid.

pem
string

PEM formatted public certificate.

issueTime
string (date-time)

When the Controller issued the certificate.

revoked
boolean

Whether the certificate is revoked or not.

Defaultfalse
revocationReason
string

X509 certificate revocation reason. See RFC 5280.

Valid values[ "unspecified", "keyCompromise", "cACompromise", "affiliationChanged", "superseded", "cessationOfOperation", "certificateHold", "privilegeWithdrawn" ]
revocationTime
string (date-time)

The revocation time of the certificate.

revocationNotes
string

Free-text notes for revocation reason.

ExamplePrivate key potentially compromised.
401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

404

The requested resource can not be found.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.